package com.wdkl.app.ncs.callingbed.di

import com.wdkl.app.ncs.callingbed.activity.AppUpdateActivity
import com.wdkl.app.ncs.callingbed.activity.CallingbedActivity
import com.wdkl.app.ncs.callingbed.activity.InitActivity
import com.wdkl.app.ncs.callingbed.fragment.*
import com.wdkl.ncs.android.middleware.di.ApplicationComponent
import dagger.Component

@Component(dependencies = arrayOf(ApplicationComponent::class))
interface CallingbedComponent {
    fun inject(activity: CallingbedActivity)

    fun inject(activity: InitActivity)

    fun inject(activity: AppUpdateActivity)

    fun inject(activity: MainFragment)

    fun inject(activity: DoctorOrderFragment)

    fun inject(activity: CostFragment)

    fun inject(activity: QrCodeFragment)

    fun inject(activity: SupportFragment)

    fun inject(activity: CallCareFragment)

    fun inject(activity: CallNurseFragment)
}